export default {

statusBarAtTop: false,
landingDocument: {
  name: 'welcome.md',
  render() {
    return 'Welcome to qwe!'
  }
},

binds: {
  reload: 'Ctrl-Escape',
  editPath: 'Ctrl-r',
  save: 'Ctrl-s',
  open: 'Ctrl-o',
  openDirectory: 'Ctrl-l'
},

languages: [
  {
    exts: [ 'js', 'mjs', 'cjs', 'ejs' ],
    name: 'js',
    import: './lib/javascript.js',
    createExtension({ javascript }) {
      return javascript({

      })
    }
  },
  {
    exts: [ 'md' ],
    name: 'md',
    import: './lib/markdown.js',
    createExtension({ markdown }) {
      return markdown()
    }
  }
],

plumb(selection) {
  if(selection.length == 0)
    return

  let isDirectory = selection.endsWith('/')

  editor.setDocPath(
    Platform.absolute(selection) ?
      selection :
      Platform.join(Platform.dirname(editor.doc.getPath()), selection)
  )

  selection = editor.doc.getPath()

  if(isDirectory) {
    return editor.openDirectory(selection)
  } else {
    return editor.openDocument(selection)
  }
}

}